package com.ss.android.ugc.aweme.sticker.view.internal.pager.pages;

import X.C1294MnR;
import X.C1521Mr6;
import X.C1524Mr9;
import X.C2224N5v;
import X.C2228N5z;
import X.M12;
import X.N8F;
import android.view.View;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.effectmanager.effect.model.Effect;
import java.util.List;

public class FavoriteFragment extends StickerCategoryFragment {
    public static final C2224N5v LJIIJJI = new C2224N5v((byte) 0);

    static {
        Covode.recordClassIndex(116638);
    }

    public final C2228N5z<Effect> LJIILIIL() {
        return new FavoriteStickerListViewModel(this, LIZLLL(), LJ(), LJFF());
    }

    public final void LIZ(List<? extends Effect> list) {
        M12.LIZ(list);
        ADAPTER adapter = this.LIZLLL;
        if (adapter != null && getActivity() != null) {
            adapter.LJIIIIZZ = this.LJ;
            adapter.LIZ(list);
        }
    }

    public final C1524Mr9<C1294MnR> LIZIZ(View view) {
        M12.LIZ(view);
        C1524Mr9<C1294MnR> LIZIZ = super.LIZIZ(view);
        if (LIZIZ instanceof C1521Mr6) {
            ((C1521Mr6) LIZIZ).LIZ(C1294MnR.EMPTY, new N8F(this));
        }
        return LIZIZ;
    }
}
